# $Id: libmng.spec,v 1.2 2003/08/14 02:00:40 rexdieter Exp $

Name:	 libmng
Version: 1.0.8
Release: 1.0%{?dist_tag}.kde
URL: 	 http://www.libmng.com/
Summary: A library which supports MNG graphics.
License: BSD-like
Source:  http://dl.sourceforge.net/sourceforge/libmng/libmng-1.0.8.tar.gz
Group:	 System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc glibc-devel 
BuildRequires: zlib-devel
BuildRequires: libjpeg-devel
BuildRequires: lcms-devel
BuildRequires: autoconf automake

%description
LibMNG is a library for accessing graphics in MNG (Multi-image Network
Graphics) and JNG (JPEG Network Graphics) formats.  MNG graphics are
basically animated PNGs.  JNG graphics are basically JPEG streams
integrated into a PNG chunk.

%package devel
Summary: Development files for the LibMNG library.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
The -devel package contains files needed for developing or compiling
applications which use MNG graphics

%package static
Summary: A statically linked version of the LibMNG library.
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
%description static
The -static package contains a statically linked version of the
LibMNG library, which you need if you want to develop or compile
applications using MNG graphics without depending upon LibMNG being
installed on the user's system.


%prep
%setup -q

[ ! -x ./configure ] && sh ./autogen.sh --help # generate, but don't run


%build

%configure \
  --enable-shared --enable-static \
  --with-zlib --with-jpeg --with-lcms \
  --with-gnu-ld

make %{?_smp_mflags}


%install

#makeinstall
make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

# remove unpackaged files.
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc CHANGES LICENSE README doc
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
#{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_includedir}/*

%files static
%defattr(-,root,root)
%{_libdir}/lib*.a


%changelog
* Mon Jan 24 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.0.8-1.0.kde
- 1.0.8
- --enable-lcms
- nuke .la file(s).

* Tue Oct 12 2004 Matthias Clasen <mclasen@redhat.com> 1.0.8-1
- Upgrade to 1.0.8

* Mon Jun 24 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.4-1
- 1.0.4

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Apr 25 2002 Than Ngo <than@redhat.com> 1.0.3-3
- rebuild in new enviroment

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Sep 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.3-1
- 1.0.3

* Tue Jul 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.2-1
- Update to 1.0.2 (bugfix release - fixes a memory leak and file corruption)

* Wed Jun 20 2001 Than Ngo <rtthan@redhat.com> 1.0.1-2
- requires %%{name} = %%{version}

* Thu May  3 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.1-1
- 1.0.1

* Wed Feb 28 2001 Trond Eivind Glomsrd <teg@redhat.com>
- remove bogus symlink trick

* Mon Feb 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to 1.0.0 to make Qt 2.3.0 happy

* Sat Jan 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.9.4, fixes MNG 1.0 spec compliance

* Tue Dec 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.9.3
- Add ldconfig calls in %%post and %%postun

* Tue Dec 05 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- added a clean section to the spec file

* Tue Sep 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial rpm

